#define ledPin  D6    // the number of the LED pin

String msg ; // data recording variable received 

void setup() {
  
  Serial.begin(115200); // Opens serial port, sets data rate to 115200 bps
  pinMode(ledPin, OUTPUT);
}

void loop() {
 
  // reply only when you receive data
  if (Serial.available() > 0) {
  
    msg = Serial.readString();// read the data received   
    msg.trim(); // remove any \r \n whitespace at the end of the String
    
    if (msg  == "ON") {
      digitalWrite(ledPin, HIGH);
      Serial.println("The LED is ON");
     } 
    else if (msg == "OFF") {
      digitalWrite(ledPin, LOW);
      Serial.println("The LED is OFF");
     }
   }
   
 }    
 
